## octave-ocs 0.0.3

=== DESCRIPTION ===
Name: OCS
Version: 0.0.3
Date: 2009-02-25
Author: Carlo de Falco, Culpo Massimiliano
Maintainer: Culpo Massimiliano
Title: Octave Circuit Simulator
Description: Package for solving DC and transient electrical circuit equations 
Depends: octave (>= 3.0.0), odepkg
Autoload: no
License: GPL version 2 or later

=== Makefile ===
## Generic Makefile to allow the octave-forge packages to be build and 
## installed using "configure; make all; make install". This Makefile
## includes the capability to install to a temporary location, and install
## an on_uninstall.m file that prevents the user removing this package
## with Octave's package manager. This is useful for for the distribution's
## various package managers and is forced by defining DESTDIR and DISTPKG.

PKGDIR := $(shell pwd | sed -e 's|^.*/||')
TMPDIR ?= /tmp
PACKAGE ?= $(TMPDIR)/$(PKGDIR).tar.gz
PKG := $(shell echo $(PKGDIR) | sed -e 's|^\(.*\)-.*|\1|')

all: build package

build:
	@if [ -e src/Makefile ]; then \
	   $(MAKE) -C src all; \
	fi

package: build
	@if [ -e src/Makefile ]; then \
	  mv src/Makefile src/Makefile.disable; \
	fi; \
	if [ -e src/configure ]; then \
	  mv src/configure src/configure.disable; \
	fi; \
	cd ..; tar -czf $(PACKAGE) $(PKGDIR); \

install:
	@cd ../; \
	if [ "X${DISTPKG}X" != "XX" ]; then \
	  stripcmd="unlink(pkg('local_list'));unlink(pkg('global_list'));"; \
	fi; \
	if [ "X$(DESTDIR)X" = "XX" ]; then \
	  pkgdir=`octave -H -q --no-site-file --eval "warning('off','all');pkg('install','$(PACKAGE)');l=pkg('list');disp(l{cellfun(@(x)strcmp(x.name,'$(PKG)'),l)}.dir);$$stripcmd;"`; \
	else \
	  shareprefix=$(DESTDIR)/`octave -H -q --no-site-file --eval "disp(fullfile(OCTAVE_HOME(),'share','octave'));"`; \
	  libexecprefix=$(DESTDIR)/`octave -H -q --no-site-file --eval "disp(fullfile(octave_config_info('libexecdir'),'octave'));"`; \
	  octprefix=$$shareprefix/packages; \
	  archprefix=$$libexecprefix/packages; \
	  if [ ! -e $$octprefix ]; then \
	    mkdir -p $$octprefix; \
	  fi; \
	  if [ ! -e $$archprefix ]; then \
	    mkdir -p $$archprefix; \
	  fi; \
	  octave -H -q --no-site-file --eval "warning('off','all');pkg('prefix','$$octprefix','$$archprefix');pkg('global_list',fullfile('$$shareprefix','octave_packages'));pkg('local_list',fullfile('$$shareprefix','octave_packages'));pkg('install','-nodeps','-verbose','$(PACKAGE)');"; \
	  pkgdir=`octave -H -q --no-site-file --eval "warning('off','all');pkg('prefix','$$octprefix','$$archprefix');pkg('global_list',fullfile('$$shareprefix','octave_packages'));pkg('local_list',fullfile('$$shareprefix','octave_packages'));l=pkg('list');disp(l{cellfun(@(x)strcmp(x.name,'$(PKG)'),l)}.dir);$$stripcmd;"`; \
	fi; \
	if [ "X${DISTPKG}X" != "XX" ]; then \
	  if [ -e $$pkgdir/packinfo/on_uninstall.m ]; then \
	    mv $$pkgdir/packinfo/on_uninstall.m \
	       $$pkgdir/packinfo/on_uninstall.m.orig; \
	  fi; \
	  echo "function on_uninstall (desc)" > $$pkgdir/packinfo/on_uninstall.m; \
	  echo "  error ('Can not uninstall %s installed by the $(DISTPKG) package manager', desc.name);" >> $$pkgdir/packinfo/on_uninstall.m; \
	  echo "endfunction" >> $$pkgdir/packinfo/on_uninstall.m; \
	  echo "#! /bin/sh -f" > $$pkgdir/packinfo/dist_admin; \
	  echo "if [ \"\$$1\" == \"install\" ]; then" >> $$pkgdir/packinfo/dist_admin; \
	  echo "  octave -H -q --no-site-file --eval \"pkg('rebuild');\"" >> $$pkgdir/packinfo/dist_admin; \
	  echo "else"  >> $$pkgdir/packinfo/dist_admin; \
	  echo "  pkgdir=\`octave -H -q --no-site-file --eval \"pkg('rebuild');l=pkg('list');disp(l{cellfun(@(x)strcmp(x.name,'$(PKG)'),l)}.dir);\"\`" >> $$pkgdir/packinfo/dist_admin; \
	  echo "  rm \$$pkgdir/packinfo/on_uninstall.m" >> $$pkgdir/packinfo/dist_admin; \
	  echo "  if [ -e \$$pkgdir/packinfo/on_uninstall.m.orig ]; then" >> $$pkgdir/packinfo/dist_admin; \
	  echo "    mv \$$pkgdir/packinfo/on_uninstall.m.orig \$$pkgdir/packinfo/on_uninstall.m" >> $$pkgdir/packinfo/dist_admin; \
	  echo "    cd \$$pkgdir/packinfo" >> $$pkgdir/packinfo/dist_admin; \
	  echo "    octave -q -H --no-site-file --eval \"l=pkg('list');on_uninstall(l{cellfun(@(x)strcmp(x.name,'$(PKG)'),l)});\"" >> $$pkgdir/packinfo/dist_admin; \
	  echo "  fi"  >> $$pkgdir/packinfo/dist_admin; \
	  echo "fi"  >> $$pkgdir/packinfo/dist_admin; \
	  chmod a+x $$pkgdir/packinfo/dist_admin; \
	fi;

clean:
	rm $(PACKAGE)
	$(MAKE) -C src clean

## octave-ocs 0.0.4

=== DESCRIPTION ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Name: OCS
-Version: 0.0.3
+Version: 0.0.4
 Date: 2009-02-25
 Author: Carlo de Falco, Culpo Massimiliano
 Maintainer: Culpo Massimiliano

## octave-ocs 0.1.0

=== DESCRIPTION ===
Name: OCS
Version: 0.1.0
Date: 2010-02-09
Author: Carlo de Falco, Culpo Massimiliano
Maintainer: Culpo Massimiliano
Title: Octave Circuit Simulator
Description: Package for solving DC and transient electrical circuit equations 
Depends: octave (>= 3.0.0), odepkg
Autoload: no
License: GPL version 2 or later
SVNRelease: 6866

=== debian/changelog ===
octave-ocs (0.1.0-2) unstable; urgency=low

  * New patch: set_nonarch_path_for_pkg_add: Change PKG_ADD and PKG_DEL to
    cater for the split of arch-independent and arch-dependent files in two
    separate directories (closes: #582750)

 -- Thomas Weber <tweber@debian.org>  Sat, 26 Jun 2010 22:03:45 +0200

octave-ocs (0.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Remove Rafael Laboissiere from Uploaders (Closes: #571855)
    - Remove Ólafur Jens Sigurðsson <ojsbug@gmail.com> from Uploaders
  * This release introduces an .oct file, switch architecture to 'any'
    accordingly. And remove the (now unnecessary) lintian overrides file.
  * Bump standards-version to 3.8.4, no changes needed.
  * Switch to dpkg-source 3.0 (quilt) format

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 21 Apr 2010 23:32:04 +0200

octave-ocs (0.0.4-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * debian/control: Build-depend on octave-pkg-dev >= 0.7.0, such that the
    package is built against octave3.2
  
  [ Thomas Weber ]
  * New upstream release
  * Bump minimal dependency on octave-pkg-dev to 0.7.1 for the changed doc/
    handling in octave-pkg-dev.
  * Install documentation via octave-ocs.docs, following the change in
    octave-pkg-dev 0.7.1

 -- Thomas Weber <thomas.weber.mail@gmail.com>  Wed, 30 Dec 2009 22:08:13 +0100

octave-ocs (0.0.3-1) unstable; urgency=low

  * Initial release. (Closes: #482619)

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 24 May 2009 15:40:00 +0200

=== debian/control ===
Source: octave-ocs
Section: math
Priority: optional
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.1), quilt,
 texlive-font-utils, latex-xcolor
Build-Depends-Indep: 
Standards-Version: 3.8.4
Homepage: http://octave.sourceforge.net/ocs
Vcs-Git: git://git.debian.org/git/pkg-octave/octave-ocs.git
Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-ocs.git

Package: octave-ocs
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: circuit simulator for Octave
 This package contains fucntion for solving DC and transient
 electrical circuit equations in Octave, a scientific computation
 software. Coupled electrical circuits, devices, and systems are
 specified using am Intermediate File Format.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/cdbs/1/class/octave-pkg.mk

pkg = octave-ocs

build/$(pkg)::
	( cd doc ; pdflatex iffspec_ocs )

## octave-ocs 0.1.1

=== DESCRIPTION ===
Name: OCS
Version: 0.1.1
Date: 2011-03-03
Author: Carlo de Falco, Culpo Massimiliano
Maintainer: Culpo Massimiliano
Title: Octave Circuit Simulator
Description: Package for solving DC and transient electrical circuit equations 
Depends: octave (>= 3.0.0), odepkg
Autoload: no
License: GPL version 2 or later
SVNRelease: 8145

=== debian/changelog ===
octave-ocs (0.1.1-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.1, no changes required
  * Adapt patch set_nonarch_path_for_pkg_add for new upstream release.

 -- Thomas Weber <tweber@debian.org>  Wed, 04 May 2011 20:30:59 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.1), quilt,
  texlive-font-utils, latex-xcolor
 Build-Depends-Indep: 
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://octave.sourceforge.net/ocs
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-ocs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-ocs.git

## octave-ocs 0.1.3

=== DESCRIPTION ===
Name: OCS
Version: 0.1.3
Date: 2011-08-08
Author: Carlo de Falco, Culpo Massimiliano, Marco Merlin
Maintainer: Culpo Massimiliano
Title: Octave Circuit Simulator
Description: Package for solving DC and transient electrical circuit equations 
Depends: octave (>= 3.0.0), odepkg
Autoload: no
License: GPL version 2 or later
SVNRelease: 9554

=== debian/changelog ===
octave-ocs (0.1.3-1build1) trusty; urgency=medium

  * Rebuild for octave 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 18:26:35 +0000

octave-ocs (0.1.3-1) unstable; urgency=low

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.1.3
  * Adapt patch autoload-yes.diff for the new upstream release
  * Adapt patch set_nonarch_path_for_pkg_add for the new upstream release
  * Bump to debhelper compat level 9
  * Build-depend on octave-pkg-dev >= 1.0.1, to build against Octave 3.6
  * Add Sébastien Villemot to the list of Uploaders
  * Bump to Standards-Version 3.9.3, no changes needed
  * debian/copyright: update to machine-readable format 1.0
  * Add doc-base file for iffspec_ocs.pdf
  * debian/check.m: Add file containing one of the examples in doc/

 -- Thomas Weber <tweber@debian.org>  Sun, 18 Mar 2012 18:50:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: math
 Priority: optional
 Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
-Uploaders: Thomas Weber <tweber@debian.org>
+Uploaders: Thomas Weber <tweber@debian.org>,
+           Sébastien Villemot <sebastien.villemot@ens.fr>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), cdbs, octave-pkg-dev (>= 0.7.1), quilt,
+Build-Depends: debhelper (>= 9), cdbs, octave-pkg-dev (>= 1.0.1),
  texlive-font-utils, latex-xcolor
 Build-Depends-Indep: 
-Standards-Version: 3.9.1
+Standards-Version: 3.9.3
 Homepage: http://octave.sourceforge.net/ocs
 Vcs-Git: git://git.debian.org/git/pkg-octave/octave-ocs.git
 Vcs-Browser: http://git.debian.org/?p=pkg-octave/octave-ocs.git

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,7 @@
 build/$(pkg)::
 	( cd doc ; pdflatex iffspec_ocs )
 
+install/$(pkg)::
+	# Fix wrong permission of a file in the upstream tarball
+	# Change commited as upstream rev r9938
+	chmod -x $$(find debian/$(pkg) -name prs_spice.m)

=== debian/watch ===
version=3
http://octave.sourceforge.net/packages.php \
    http://downloads\.sourceforge\.net/octave/ocs-([\d.]+)\.tar\.gz\?download

## octave-ocs 0.1.4

=== debian/changelog ===
octave-ocs (0.1.4-1) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Imported Upstream version 0.1.4
  * d/p/autoload-yes.diff: Remove patch (deprecated upstream)
  * d/p/set_nonarch_path_for_pkg_add: Refresh for new upstream version
  * d/p/redefine-tt-it-bf.patch: New patch

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 31 Jul 2015 11:26:20 +0200

octave-ocs (0.1.3-2) unstable; urgency=medium

  [ Thomas Weber ]
  * debian/control: Use canonical URLs in Vcs-* fields

  [ Rafael Laboissiere ]
  * Remove obsolete DM-Upload-Allowed flag
  * debian/copyright: Use octave-maintainers mailing list as upstream contact
  * debian/watch: Use the SourceForge redirector
  * Bump Standards-Version to 3.9.6 (no changes needed)
  * debian/copyright: Comply with DEP-5 specification

  [ Sébastien Villemot ]
  * Use my @debian.org email address
  * Add Rafael Laboissiere and Mike Miller to Uploaders.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 22 Sep 2014 18:25:59 +0200

## octave-ocs 0.1.5

=== src/Makefile ===
OCTFILES:=Mshichmanhodgesmosfet.oct

all: $(OCTFILES)

%.oct:  %.cc
	mkoctfile $<

clean:
	-rm -f *.o core octave-core *.oct *~

=== debian/changelog ===
octave-ocs (0.1.5-6) unstable; urgency=medium

  * Use dh-octave for building the package
  * d/control:
     + Use Debian's GitLab URLs in Vcs-* headers
     + Change Maintainer to team+pkg-octave-team@tracker.debian.org

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 10 Feb 2018 07:34:54 -0200

octave-ocs (0.1.5-5) unstable; urgency=medium

  * Use the dh-based version of octave-pkg-dev
  * Set debhelper compatibility level to >= 11
  * d/control: Bump Standards-Version to 4.1.3 (no changes needed)

 -- Rafael Laboissiere <rafael@debian.org>  Fri, 29 Dec 2017 22:14:11 -0200

octave-ocs (0.1.5-4) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Upload to unstable

  [ Sébastien Villemot ]
  * Bump to debhelper compat level 10.
  * d/p/set_nonarch_path_for_pkg_add: refresh for this upstream version.
    (Closes: #865282)
  * d/control: Bump Standards-Version to 4.0.0.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 20 Jun 2017 07:41:38 -0300

octave-ocs (0.1.5-3) experimental; urgency=medium

  [ Rafael Laboissiere ]
  * d/control: Build-depend on texlive-latex-recommended instead of latex-xcolor
    (Closes: #865241)
  * d/control: Use cgit instead of gitweb in Vcs-Browser URL

  [ Sébastien Villemot ]
  * d/copyright: use secure URL for format.
  * d/watch: bump to format version 4.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 20 Jun 2017 03:42:47 -0300

octave-ocs (0.1.5-2) unstable; urgency=medium

  * d/control:
    + Use secure URIs in the Vcs-* fields
    + Bump Standards-Version to 3.9.8 (no changes needed)
  * d/p/date-in-pdf-doc.patch: New patch

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 21 Jul 2016 03:39:40 -0300

octave-ocs (0.1.5-1) unstable; urgency=medium

  * Imported Upstream version 0.1.5
  * d/p/redefine-tt-it-bf.patch: remove patch, applied upstream.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 30 Sep 2015 17:35:40 +0200

=== debian/control ===
Source: octave-ocs
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Thomas Weber <tweber@debian.org>,
           Rafael Laboissiere <rafael@debian.org>,
           Sébastien Villemot <sebastien@debian.org>,
           Mike Miller <mtmiller@debian.org>
Build-Depends: debhelper (>= 11), dh-octave,
 texlive-font-utils, texlive-latex-recommended
Build-Depends-Indep: 
Standards-Version: 4.1.3
Homepage: http://octave.sourceforge.net/ocs
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-ocs.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-ocs
Testsuite: autopkgtest-pkg-octave

Package: octave-ocs
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: circuit simulator for Octave
 This package contains functions for solving DC and transient
 electrical circuit equations in Octave, a scientific computation
 software. Coupled electrical circuits, devices, and systems are
 specified using am Intermediate File Format.
 .
 This Octave add-on package is part of the Octave-Forge project.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --buildsystem=octave --with=octave

override_dh_auto_build:
	( cd doc ; pdflatex iffspec_ocs )

override_dh_auto_install:
	dh_auto_install
	# Fix wrong permission of a file in the upstream tarball
	# Change commited as upstream rev r9938
	chmod -x $$(find debian/octave-ocs -name prs_spice.m)

=== debian/watch ===
version=4
http://sf.net/octave/ocs-(.+)\.tar\.gz
